=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2011-09-16 20:42:31 +0000
+++ bzrlib/tests/test_selftest.py	2011-10-04 16:38:51 +0000
@@ -3346,7 +3346,7 @@
             gc.disable()
         try:
             tests.selftest(test_suite_factory=self._get_suite, stream=sio,
-                **kwargs)
+                stop_on_failure=False, **kwargs)
         finally:
             if gc_on:
                 gc.enable()
@@ -3368,7 +3368,8 @@
         self.assertNotContainsRe(out, "test_skip")
 
     def test_random_seed(self):
-        self._run_selftest_with_suite(random_seed="now")
+        out = self._run_selftest_with_suite(random_seed="now")
+        self.assertContainsRe(out, "Ran 4 tests in \d+.\d+s")
 
     def test_matching_tests_first(self):
         self._run_selftest_with_suite(matching_tests_first=True,

